<template>
  <button class="btn btn-outline-light color-hint-button" v-if="!link" :class="mode" >
    <slot></slot>
  </button>
  <router-link v-else :to="to" :class="mode">
    <slot></slot>
  </router-link>
</template>

<script>
export default {
  props: {
    mode: {
      type: String,
      required: false,
      default: null
    },
    link: {
      type: Boolean,
      required: false,
      default: false
    },
    to: {
      type: String,
      required: false,
      default: '/'
    },
    disabled:{
      type: Boolean,
      required: false,
      default: false
    }
  }
}
</script>

<style scoped>
.color-hint-button {
  background: teal;
}
</style>